FreeMat

- Main Page
- Related Pages

vtkGeoAlignedImageRepresentation

Section: Visualization Toolkit Geo Vis Classes

# Usage

vtkGeoAlignedImageRepresentation represents a high resolution image over the globle. It has an associated vtkGeoSource which is responsible for fetching new data. This class keeps the fetched data in a quad-tree structure organized by latitude and longitude.

To create an instance of class vtkGeoAlignedImageRepresentation, simply invoke its constructor as follows

      obj = vtkGeoAlignedImageRepresentation

# Methods

The class vtkGeoAlignedImageRepresentation has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGeoAlignedImageRepresentation class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGeoAlignedImageRepresentation = obj.NewInstance ()`
- `vtkGeoAlignedImageRepresentation = obj.SafeDownCast (vtkObject o)`
- `vtkGeoImageNode = obj.GetBestImageForBounds (double bounds[4])` - Retrieve the most refined image patch that covers the specified latitude and longitude bounds (lat-min, lat-max, long-min, long-max).
- `vtkGeoSource = obj.GetSource ()` - The source for this representation. This must be set first before calling GetBestImageForBounds.
- `obj.SetSource (vtkGeoSource source)` - The source for this representation. This must be set first before calling GetBestImageForBounds.
- `obj.SaveDatabase (string path)` - Serialize the database to the specified directory. Each image is stored as a .vti file. The Origin and Spacing of the saved image contain (lat-min, long-min) and (lat-max, long-max), respectively. Files are named based on their level and id within that level.